debian.org / О Debian Где взять Debian Поддержка Уголок разработчика Новости Wiki

Автор Тема: [Решено] Debian9 + mate + Yandex browser  (Прочитано 1536 раз)

0 Пользователей и 1 Гость просматривают эту тему.

Оффлайн adrenalin-rush

  • Topic Author
  • Сообщений: 52
[Решено] Debian9 + mate + Yandex browser
« : 03 Февраль 2018, 07:57:36 »
Всем здравствуйте!

Столкнулся с очередной проблемой)) такое каждый раз с новым релизом Дебиан ;D ;D В старом все до ума доведешь и года 3, горя не знаешь))) и потом все заново.

Имею систему с установленным окружением mate (gnome3 вообще нет "как класса" в системе. Т.к. систематоит на старом железе с intel Atom D2500 и интегрированном видео от intel. А гном имеет веские причины там не стартовать корректно по разным причинам. Короче был выбран mate и все стало грузиться, но это уже другая история ;D)


Не могу поставить Yandex browser.

Скачал Yandex.deb

Пробую:

root@deb-smart:/home/roman/Загрузки# dpkg -i Yandex.deb
(Чтение базы данных … на данный момент установлено 163409 файлов и каталогов.)
Подготовка к распаковке Yandex.deb …
Распаковывается yandex-browser-beta (17.11.1.1120-1) на замену (17.11.1.1120-1) …
dpkg: зависимости пакетов не позволяют настроить пакет yandex-browser-beta:
 yandex-browser-beta зависит от libappindicator1, однако:
  Пакет libappindicator1 не установлен.
 yandex-browser-beta зависит от dconf-cli, однако:
  Пакет dconf-cli не установлен.

dpkg: ошибка при обработке пакета yandex-browser-beta (--install):
 проблемы зависимостей — оставляем не настроенным
Обрабатываются триггеры для menu (2.1.47+b1) …
Обрабатываются триггеры для desktop-file-utils (0.23-1) …
Обрабатываются триггеры для mime-support (3.60) …
Обрабатываются триггеры для man-db (2.7.6.1-2) …
При обработке следующих пакетов произошли ошибки:
 yandex-browser-beta


root@deb-smart:/home/roman/Загрузки# apt-get install -f
Чтение списков пакетов… Готово
Построение дерева зависимостей       
Чтение информации о состоянии… Готово
Исправление зависимостей… Готово
Пакеты, которые будут УДАЛЕНЫ:
  yandex-browser-beta
обновлено 0, установлено 0 новых пакетов, для удаления отмечено 1 пакетов, и 0 пакетов не обновлено.
не установлено до конца или удалено 1 пакетов.
После данной операции, объём занятого дискового пространства уменьшится на 226 MB.
Хотите продолжить? [Д/н] y
(Чтение базы данных … на данный момент установлено 163550 файлов и каталогов.)
Удаляется yandex-browser-beta (17.11.1.1120-1) …
Обрабатываются триггеры для mime-support (3.60) …
Обрабатываются триггеры для desktop-file-utils (0.23-1) …
Обрабатываются триггеры для menu (2.1.47+b1) …
Обрабатываются триггеры для man-db (2.7.6.1-2) …
root@deb-smart:/home/roman/Загрузки#


Установить заранее нужные пакеты не выходит...

dpkg: зависимости пакетов не позволяют настроить пакет yandex-browser-beta:
 yandex-browser-beta зависит от libappindicator1, однако:
  Пакет libappindicator1 не установлен.
 yandex-browser-beta зависит от dconf-cli, однако:
  Пакет dconf-cli не установлен.

Т.к. "не найден кандидат для установки"...

Что можно сделать?


« Последнее редактирование: 03 Февраль 2018, 16:41:20 от qupl »
Debian 8.2, Gnome 3
Laptop: Lenovo B570e
 

Оффлайн ChubaDuba

  • Сообщений: 398
  • Debian 9 + Xmonad
  • Jabber: achubakov@jabber.ru
Re: Debian9 + mate + Yandex browser
« Ответ #1 : 03 Февраль 2018, 10:38:30 »
Добавляем репозиторий:
sudo nano /etc/apt/sources.list.d/yandex-browser.list
Вставляем строчку:
deb [arch=amd64] http://repo.yandex.ru/yandex-browser/deb beta main
Устанавливаем ключ:
wget https://repo.yandex.ru/yandex-browser/YANDEX-BROWSER-KEY.GPG
sudo apt-key add YANDEX-BROWSER-KEY.GPG
Устанавливаем:
sudo apt update
sudo apt install yandex-browser-beta
 

Оффлайн adrenalin-rush

  • Topic Author
  • Сообщений: 52
Re: Debian9 + mate + Yandex browser
« Ответ #2 : 03 Февраль 2018, 11:09:53 »
root@deb-smart:/etc/apt/sources.list.d# apt update
Сущ:1 http://deb.debian.org/debian stretch-updates InRelease                                                 
Сущ:2 http://repo.yandex.ru/yandex-browser/deb beta InRelease                                                 
Сущ:3 http://security.debian.org/debian-security stretch/updates InRelease                                   
Чтение списков пакетов… Готово                                       
Построение дерева зависимостей       
Чтение информации о состоянии… Готово
Все пакеты имеют последние версии.
root@deb-smart:/etc/apt/sources.list.d# apt install yandex-browser-beta
Чтение списков пакетов… Готово
Построение дерева зависимостей       
Чтение информации о состоянии… Готово
Некоторые пакеты невозможно установить. Возможно, вы просите невозможного,
или же используете нестабильную версию дистрибутива, где запрошенные вами
пакеты ещё не созданы или были удалены из Incoming.
Следующая информация, возможно, поможет вам:

Пакеты, имеющие неудовлетворённые зависимости:
 yandex-browser-beta : Зависит: libappindicator1 но он не может быть установлен
                       Зависит: dconf-cli но он не может быть установлен
E: Невозможно исправить ошибки, у вас отложены (held) битые пакеты.
root@deb-smart:/etc/apt/sources.list.d#

Пока все тоже самое.... не проходит этот номер...
Видимо не хватает гномовских библиотек....
Debian 8.2, Gnome 3
Laptop: Lenovo B570e
 

Оффлайн qupl

  • Администратор
  • Сообщений: 4323
  • memento mori
  • Jabber: qupl@jabber.ru
Re: Debian9 + mate + Yandex browser
« Ответ #3 : 03 Февраль 2018, 11:20:59 »
Покажите
uname - a
cat /etc/apt/sources.list

Оффлайн adrenalin-rush

  • Topic Author
  • Сообщений: 52
Re: Debian9 + mate + Yandex browser
« Ответ #4 : 03 Февраль 2018, 12:14:42 »
root@deb-smart:/etc/apt# uname -a
Linux deb-smart 4.9.0-5-amd64 #1 SMP Debian 4.9.65-3+deb9u2 (2018-01-04) x86_64 GNU/Linux


cat /etc/apt/sources.list


# deb cdrom:[Debian GNU/Linux 9.3.0 _Stretch_ - Official amd64 DVD Binary-1 20171209-12:11]/ stretch contrib main

# deb cdrom:[Debian GNU/Linux 9.3.0 _Stretch_ - Official amd64 DVD Binary-1 20171209-12:11]/ stretch main contrib

# Line commented out by installer because it failed to verify:
deb http://security.debian.org/debian-security/ stretch/updates main contrib non-free
# Line commented out by installer because it failed to verify:
deb-src http://security.debian.org/debian-security/ stretch/updates main contrib non-free

# stretch-updates, previously known as 'volatile'
# A network mirror was not selected during install.  The following entries
# are provided as examples, but you should amend them as appropriate
# for your mirror of choice.

deb http://deb.debian.org/debian/ stretch-updates non-free contrib main
deb-src http://deb.debian.org/debian/ stretch-updates non-free contrib main




# deb https://repo.yandex.ru/yandex-browser/deb/dists/beta/ stretch-updates beta main 
Debian 8.2, Gnome 3
Laptop: Lenovo B570e
 

Оффлайн qupl

  • Администратор
  • Сообщений: 4323
  • memento mori
  • Jabber: qupl@jabber.ru
Re: Debian9 + mate + Yandex browser
« Ответ #5 : 03 Февраль 2018, 13:30:16 »
У Вас не прописан основной репозиторий, только обновления.
Добавьте
deb http://ftp.ru.debian.org/debian/ stretch main contrib non-free

Оффлайн adrenalin-rush

  • Topic Author
  • Сообщений: 52
Re: Debian9 + mate + Yandex browser
« Ответ #6 : 03 Февраль 2018, 16:28:06 »
У Вас не прописан основной репозиторий, только обновления.
Добавьте
deb http://ftp.ru.debian.org/debian/ stretch main contrib non-free

Блин! Точно!!! Все сработало великолепно. И действительно же. При установке указал не использовать каталок пакетов из сети, т.к. ставил систему без интернета! ))) и вот возникла эта проблема!)))

Теперь все круто!!!! Спасобо за наводку, сам бы 100 лет догадывался!!
Debian 8.2, Gnome 3
Laptop: Lenovo B570e
 

Оффлайн Тхакур

  • Сообщений: 29
  • Debian GNU/Linux 9.5 (stretch) xfce
Re: [Решено] Debian9 + mate + Yandex browser
« Ответ #7 : 04 Июль 2018, 15:29:41 »
после того, как скачал яндекс, что следующим нужно делать?
 

Оффлайн Ogis1975

  • OS: Debian 9.4 / WM: Xmonad
  • Сообщений: 316
  • Debian 9.5 Stumpwm
Re: [Решено] Debian9 + mate + Yandex browser
« Ответ #8 : 04 Июль 2018, 16:37:42 »
после того, как скачал яндекс, что следующим нужно делать?
Его установить. :)
 

Оффлайн qupl

  • Администратор
  • Сообщений: 4323
  • memento mori
  • Jabber: qupl@jabber.ru
Re: [Решено] Debian9 + mate + Yandex browser
« Ответ #9 : 04 Июль 2018, 17:39:26 »
Его установить. :)
Off-Topic: ShowHide
Расскажи, как ты понял суть его вопроса?  :D

Оффлайн CoolAller

  • Сообщений: 806
Re: [Решено] Debian9 + mate + Yandex browser
« Ответ #10 : 07 Июль 2018, 12:49:32 »
Всегда было интересно по поводу Yandex недобраузера, зачем этот уг нужен, даже сам Debian вам на это как бы намекает))
Скачал deb-пакет с оф. сайта, поморщился, установил в виртуальной машине через gdebi, запустил, еще раз поморщился и снес.
« Последнее редактирование: 07 Июль 2018, 12:52:52 от CoolAller »
 

Теги: